.import_excel,
.month_report_box,
.base_info,
.operation_info {
  display: none;
}

.info_box {
  /* height: 718px; */
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 20px 20px 20px 20px;
}

#item_info_box {
  /* min-height: 550px; */
  height: 550px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  overflow-y: auto;
}

.info_box #base_info .form-control:not([name="communication"]) {
  width: 120px;
}

.info_box #base_info .form-control[name="communication"] {
  resize: auto;
}

.info_header {
  display: flex;
  flex-direction: row;
  color: #08c;
  margin-bottom: 12px;
}

.info_header .info_title {
  display: flex;
  flex-direction: row;
  justify-content: center;
  border-left: 1px solid #08c;
  border-top: 1px solid #08c;
  border-bottom: 1px solid #08c;
  height: 50px;
  width: 100%;
  line-height: 50px;
  text-align: center;
  background: #fff;
  font-size: 18px;
  font-weight: bold;
}

.info_header .info_title_active {
  background: #08c;
  color: #fff;
}

.info_header .info_title:last-child {
  border-right: 1px solid #08c;
}

.info_content_box table td:nth-child(1) {
  width: 220px;
  font-weight: bold;
  text-align: right;
}

.info_btn_box {
  display: flex;
  flex-direction: row;
  justify-content: center;
}

.run_info_button {
  border: 1px solid #3b95da;
  background-color: #fff;
  line-height: 32px;
  /* width: 120px; */
  width: 78px;
  text-align: center;
  border-radius: 5px;
  margin: 0 22px;
}

.run_info_button:hover {
  cursor: pointer;
  box-shadow: 0 0 10px #ccc;
}

.btn_active {
  background-color: #08c;
  color: #fff;
}

.edit_tr {
  /* background-color: #d8e1f5; */
  box-shadow: inset 0 0 20px #ccc;
}

.add_row_button {
  border: 1px solid #3b95da;
  background-color: #08c;
  color: #fff;
  padding: 3px 12px;
  border-radius: 2px;
  font-size: 12px;
}

.disabled_button {
  background-color: #ccc !important;
  color: #fff !important;
}

.add_row_button:hover,
.edit_row_button:hover,
.delete_row_button:hover {
  cursor: pointer;
  box-shadow: 0 0 10px #ccc;
}

.edit_row_button {
  border: 1px solid #3b95da;
  background-color: white;
  color: #08c;

  line-height: 26px;
  width: 42px;
  border-radius: 2px;
  font-size: 12px;
  margin: 2px 4px;
}

.delete_row_button {
  border: 1px solid #3b95da;
  background-color: white;
  color: orangered;

  line-height: 26px;
  width: 42px;
  border-radius: 2px;
  font-size: 12px;
  margin: 2px 4px;
}

.report_button {
  border: 1px solid #3b95da;
  background-color: #fff;
  line-height: 38px;
  text-align: center;
  border-radius: 5px;
  margin-right: 8px;
}

.report_button:hover,
.report_month_button:hover {
  cursor: pointer;
  box-shadow: 0 0 10px #ccc;
}

.table_box_content table {
  margin-top: 16px;
  font-size: 12px;

  width: 100%;
  table-layout: fixed;
}

.table_box_content table button {
  font-size: 12px;
  line-height: 22px;
  padding: 0 4px;
}

.table_box_content table th,
.table_box_content table td {
  vertical-align: middle !important;
  text-align: center;
  min-height: 40px;
  line-height: 40px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.table_box_content table th {
  /* 表头背景色 */
  background-color: #ededed;
  font-weight: bold;
}

/* 为每列设置具体宽度 */
.table_box_content table th:nth-child(1),
.table_box_content table td:nth-child(1) {
  width: 4%;
}

.table_box_content table th:nth-child(2),
.table_box_content table td:nth-child(2) {
  width: 6%;
}

.table_box_content table th:nth-child(3),
.table_box_content table td:nth-child(3) {
  width: 8%;
}

.table_box_content table th:nth-child(4),
.table_box_content table td:nth-child(4) {
  width: 10%;
}

.table_box_content table th:nth-child(5),
.table_box_content table td:nth-child(5) {
  width: 8%;
}

.table_box_content table th:nth-child(6),
.table_box_content table td:nth-child(6) {
  width: 8%;
}

.table_box_content table th:nth-child(7),
.table_box_content table td:nth-child(7) {
  width: 6%;
}

.table_box_content table th:nth-child(8),
.table_box_content table td:nth-child(8) {
  width: 7%;
}

.table_box_content table th:nth-child(9),
.table_box_content table td:nth-child(9) {
  width: 8%;
}

.table_box_content table th:nth-child(10),
.table_box_content table td:nth-child(10) {
  width: 8%;
}

.table_box_content table th:nth-child(11),
.table_box_content table td:nth-child(11) {
  width: 8%;
}

.table_box_content table th:nth-child(12),
.table_box_content table td:nth-child(12) {
  width: 8%;
}

.table_box_content table th:nth-child(13),
.table_box_content table td:nth-child(13) {
  width: 12%;
}

.report_days_list .delete {
  color: red;
}

#month_report_box #upload_info .table_box_header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  height: 58px;
}

#month_report_box #upload_info .table_box_header .addrow_box {
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  height: 58px;
}

#month_report_box #upload_info .pagination_box {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  height: 58px;
}

#month_report_box #upload_info .pagination_box .num_show_control {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
  height: 58px;
}

#month_report_box #upload_info .pagination_box p {
  margin: 0;
}

#month_report_box #upload_info .pagination_box p:nth-child(2) {
  margin-left: 10px;
  color: #198cea;
}

#month_report_box #upload_info .pagination_wrap {
  margin: 0;
  padding: 0;
}
